# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bit/Vector.pm) perl(CGI.pm) perl(CGI/Carp.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Inline.pm) perl(LWP/Simple.pm) perl(List/Util.pm) perl(Log/StdLog.pm) perl(Object/InsideOut.pm) perl(PerlIO/gzip.pm) perl(Pod/Usage.pm) perl(SelectSaver.pm) perl(String/CRC.pm) perl(Term/ProgressBar.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.0.43
%define module_name InSilicoSpectro-Databanks
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.43
Release: alt1
Summary: parsing protein/nucleotides sequence databanks (fasta, uniprot...)
Group: Development/Perl
License: lgpl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AL/ALEXMASS/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
$/="//\n";
while (<FDIN>){
  my $dbu=InSilicoSpectro::Databanks::DBEntryUniprot->new;
  $dbu->readDat($_);
  my @tmp=$dbu->generateDerivedForms();
  unless ( && @tmp){
    $dbu->printFasta;
    $origSeq = $dbu->sequence;
  }
  foreach (@tmp){
    if ($_->sequence ne $origSeq){
      $_->printFasta;
    }
  }
}

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/I*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Oct 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.43-alt1
- initial import by package builder

